Latest events
curl --request GET \
--url https://www.prometheus.services/api/v1/events/latest \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/events/latest"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/events/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"headlines": [
{
"id": 129266,
"headline": "Sysco appoints Tom Ondrof to Board",
"eventFamily": "leadership",
"eventDate": "2026-09-01",
"filingDate": "2026-08-20",
"cik": "0000096021",
"ticker": "SYY",
"companyName": "SYSCO CORP",
"accessionNumber": "0000096021-26-000030",
"itemCode": "7.01"
},
{
"id": 129265,
"headline": "Sysco appoints Jason Murray to Board",
"eventFamily": "leadership",
"eventDate": "2026-09-01",
"filingDate": "2026-08-20",
"cik": "0000096021",
"ticker": "SYY",
"companyName": "SYSCO CORP",
"accessionNumber": "0000096021-26-000030",
"itemCode": "7.01"
},
{
"id": 129231,
"headline": "Royal Caribbean Cruises Ltd. issues $1.25B senior notes due 2034",
"eventFamily": "debt_financing",
"eventDate": "2026-08-20",
"filingDate": "2026-08-20",
"cik": "0000884887",
"ticker": "RCL",
"companyName": "ROYAL CARIBBEAN CRUISES LTD",
"accessionNumber": "0001104659-26-099245",
"itemCode": "1.01"
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}8-K Events
Latest events
Latest 8-K events across the universe.
GET
/
api
/
v1
/
events
/
latest
Latest events
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.
⌘I